/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.verticalprio.entity;

import java.io.Serializable;

import javax.persistence.Embeddable;

/**
 * @author Claes Lundahl, vgrid=clalu4
 * 
 */
@Embeddable
public abstract class AbstractLinkId implements Serializable {

    public abstract Long getKodId();

    public abstract Long getPrioId();

    /**
     * @inheritDoc
     */
    @Override
    public int hashCode() {
        return getHashCode(getKodId()) + getHashCode(getPrioId());
    }

    private int getHashCode(Long l) {
        if (l != null) {
            return l.hashCode();
        } else {
            return 0;
        }
    }

    /**
     * @inheritDoc
     */
    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        AbstractLinkId other = (AbstractLinkId) obj;
        return equals(getPrioId(), other.getPrioId()) && equals(getKodId(), other.getKodId());
    }

    private boolean equals(Long first, Long second) {
        if (first == second) {
            return true;
        }
        if (first == null || second == null) {
            return false;
        }
        return first.equals(second);
    }

}
