/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.verticalprio.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author Claes Lundahl, vgrid=clalu4
 * 
 */
@Entity
@Table(name = "link_prioriteringsobjekt_aatgaerds_kod")
public class LinkPrioriteringsobjektAatgaerdsKod implements Serializable {

    private static final long serialVersionUID = 1L;

    @EmbeddedId
    private Id id;

    public void setId(Id id) {
        this.id = id;
    }

    public Id getId() {
        return id;
    }

    @Embeddable
    public static class Id extends AbstractLinkId {

        private static final long serialVersionUID = 1L;

        @Column(name = "prio_id", updatable = false)
        private Long prioId;

        @Column(name = "aatgaerds_kod_id", updatable = false, insertable = false)
        private Long kodId;

        @Override
        public Long getPrioId() {
            return prioId;
        }

        public void setPrioId(Long prioId) {
            this.prioId = prioId;
        }

        /**
         * @inheritDoc
         */
        @Override
        public Long getKodId() {
            return kodId;
        }

        public void setKodId(Long kodId) {
            this.kodId = kodId;
        }

    }

}
